Package com.android.server.os

# Interface LinphoneTombstoneProtos.FDOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`

All Known Implementing Classes:
  `LinphoneTombstoneProtos.FD`, `LinphoneTombstoneProtos.FD.Builder`

Enclosing class:
  LinphoneTombstoneProtos

public static interface LinphoneTombstoneProtos.FDOrBuilder extends com.google.protobuf.MessageLiteOrBuilder

## Method Summary

Modifier and Type
Method
Description
`int`
`getFd()`
`int32 fd = 1;`
`String`
`getOwner()`
`string owner = 3;`
`com.google.protobuf.ByteString`
`getOwnerBytes()`
`string owner = 3;`
`String`
`getPath()`
`string path = 2;`
`com.google.protobuf.ByteString`
`getPathBytes()`
`string path = 2;`
`long`
`getTag()`
`uint64 tag = 4;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getFd

int getFd()
`int32 fd = 1;`

Returns:
  The fd.

### getPath

String getPath()
`string path = 2;`

Returns:
  The path.

### getPathBytes

com.google.protobuf.ByteString getPathBytes()
`string path = 2;`

Returns:
  The bytes for path.

### getOwner

String getOwner()
`string owner = 3;`

Returns:
  The owner.

### getOwnerBytes

com.google.protobuf.ByteString getOwnerBytes()
`string owner = 3;`

Returns:
  The bytes for owner.

### getTag

long getTag()
`uint64 tag = 4;`

Returns:
  The tag.